Bug 223778 - www/nextcloud: Update to 13.0.0
Summary: www/nextcloud: Update to 13.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-11-21 13:40 UTC by Bernard Spil
Modified: 2018-02-20 09:33 UTC (History)
2 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
svn diff for www/nextcloud (282.71 KB, patch)
2017-11-21 13:40 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (291.45 KB, patch)
2017-12-12 18:40 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (114.61 KB, patch)
2018-01-03 23:15 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (128.61 KB, patch)
2018-01-15 08:02 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (113.51 KB, patch)
2018-01-26 21:15 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (114.00 KB, patch)
2018-02-04 11:30 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (115.83 KB, patch)
2018-02-06 11:02 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (118.16 KB, patch)
2018-02-07 11:01 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (116.91 KB, patch)
2018-02-17 12:41 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-11-21 13:40:27 UTC
Created attachment 188150 [details]
svn diff for www/nextcloud

Early version for 13.0.0 BETA1, placeholder for next beta and release candidates

Works for me, includes patch for https://github.com/nextcloud/server/issues/7237
Comment 1 Bernard Spil freebsd_committer 2017-12-12 18:40:11 UTC
Created attachment 188770 [details]
svn diff for www/nextcloud

Updated patch for 13.0.0beta2

Note: patch is against current 12.0.3, 12.0.4 yet to be committed.
Comment 2 Bernard Spil freebsd_committer 2018-01-03 23:15:38 UTC
Created attachment 189380 [details]
svn diff for www/nextcloud

Update patch for 13.0.0 beta 3
Comment 3 Bernard Spil freebsd_committer 2018-01-15 08:02:45 UTC
Created attachment 189736 [details]
svn diff for www/nextcloud

Update patch for 13.0.0RC1
Comment 4 Bernard Spil freebsd_committer 2018-01-26 21:15:51 UTC
Created attachment 190087 [details]
svn diff for www/nextcloud

Update diff for 13.0.0 RC3 (and from 12.0.5)
Comment 5 Bernard Spil freebsd_committer 2018-02-04 11:30:35 UTC
Created attachment 190312 [details]
svn diff for www/nextcloud

Update patch for 13.0.0RC4

Release should happen coming week.
Comment 6 Bernard Spil freebsd_committer 2018-02-06 11:02:07 UTC
Created attachment 190357 [details]
svn diff for www/nextcloud

Update patch for nextcloud 13.0.0 which was released today
Comment 7 Bernard Spil freebsd_committer 2018-02-07 11:01:30 UTC
Created attachment 190381 [details]
svn diff for www/nextcloud

I was notified by bapt that ports cannot install files as `www` for security reasons.

An option is added to restore the current 12.x behavior, and an UPDATING entry was added.
Comment 8 Baptiste Daroussin freebsd_committer 2018-02-07 11:25:36 UTC
I haven't checked the diff here, but what we are asking for it only what needs to be under www:www has to be under www:www not to prevent anything from being www:www
Comment 9 D. Ebdrup 2018-02-07 11:35:33 UTC
In case it is useful for the commit, here are some links to the changelog that lists the biggest improvements: 

https://nextcloud.com/blog/nextcloud-13-brings-secure-file-sync-and-collaboration-to-the-next-level/
https://nextcloud.com/changelog/
Comment 10 loic.blot 2018-02-07 11:37:32 UTC
Bernard, i discussed with bapt on IRC, it's less rude than modified

Please set those folders to www:www

* config
* data

Others are in RO (root:wheel). Just add a notice about apps folder to make it manually R/W to update/add third party apps
Comment 11 Bernard Spil freebsd_committer 2018-02-17 12:41:32 UTC
Created attachment 190731 [details]
svn diff for www/nextcloud

Update patch

Only config and data writable for www
Comment 12 loic.blot 2018-02-17 17:08:53 UTC
hmmm,
after upgrading the following error occurs, it means we cannot make apps folder read only to make it working

[18:02]root@apache_php:/usr/local/www/nextcloud# su -m www -c "php ./occ upgrade"
The process control (PCNTL) extensions are required in case you want to interrupt long running commands - see http://php.net/manual/en/book.pcntl.php
Nextcloud or one of the apps require upgrade - only a limited number of commands are available
You may use your browser or the occ upgrade command to do the upgrade
Cannot write into "apps" directory
This can usually be fixed by giving the webserver write access to the apps directory or disabling the appstore in the config file. See https://docs.nextcloud.com/server/13/go.php?to=admin-dir_permissions

Can you re-set apps folder to r/w like data ?

When re-set it's okay for me, everything is working, it's the only problematic point
Comment 13 Bernard Spil freebsd_committer 2018-02-19 19:59:55 UTC
You've added apps yourself I guess?
You'll have to disable the appstore for that
php ./occ config:system:set "appstoreenabled" --value=false --type=boolean

It is either one or the other...

My install doesn't have network access, so I have appstoreenabled: false
I've started packaging apps so we have out-of-band install of apps instead of the Linux unsafe mode of sudo curl | bash
Packaging a NextCloud app is trivial :D
Comment 14 Bernard Spil freebsd_committer 2018-02-19 20:20:16 UTC
Doesn't work from command-line, have to edit config/config.php
Will file a PR :D
Comment 15 loic.blot 2018-02-19 22:55:39 UTC
you are right, without appstore it's nice, then go ahead and merge :)
Comment 16 commit-hook freebsd_committer 2018-02-20 09:15:00 UTC
A commit references this bug:

Author: brnrd
Date: Tue Feb 20 09:14:22 UTC 2018
New revision: 462379
URL: https://svnweb.freebsd.org/changeset/ports/462379

Log:
  www/nextcloud: Update to 13.0.0

   - Changes permissions as well

  PR:             223778
  Approved by:    Loic Blot <loic.blot unixexperience fr> maintainer)

Changes:
  head/UPDATING
  head/www/nextcloud/Makefile
  head/www/nextcloud/distinfo
  head/www/nextcloud/files/extra-patch-PostgreSQL-10
  head/www/nextcloud/pkg-plist